﻿Public Class Form1

    'This project demonstrates the use of ListBox and the While Loop

    'This button event will calculate how many years it will take to double a certain amount of money
    'based on the interest rate, and output the amount after each year
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        Dim dblCurrentAmount As Double
        Dim dblEndingAmount As Double
        Dim dblRate As Double
        Dim intYears As Integer = 0 'initialize the years to 0
        Dim dblInterest As Double

        'Clear out any items that may be in the listbox
        lstOutput.Items.Clear()

        'Convert amount user entered to double
        dblCurrentAmount = CDbl(txtAmount.Text)

        'Convert interest user entered to double and change it to a percentage
        dblRate = CDbl(txtRate.Text) / 100

        'Ending amount will be twice as much as beginning amount
        dblEndingAmount = 2 * dblCurrentAmount


        'Add the column header in the ListBox before the loop
        lstOutput.Items.Add("Years      Amount")
        lstOutput.Items.Add("======================")


        'Loop will go while dblCurrentAmount is less than dblEndingAmount
        Do While dblCurrentAmount < dblEndingAmount
            'Interest for current year is dblCurrentAmount times the interest rate
            dblInterest = dblCurrentAmount * dblRate

            'Add interest to dblCurrentAmount
            'This is the same as dblCurrentAmount = dblCurrentAmount + dblInterest
            dblCurrentAmount += dblInterest
            'dblCurrentAmount = dblCurrentAmount + dblInterest


            'Add one to the years
            'This is the same as Years = Years + 1
            intYears += 1
            'intYears = intYears + 1

            'Now add one line of sentence telling the year number and the amount after this year
            'String.Format will format the dblCurrentAmount into a currency. 
            lstOutput.Items.Add("Year " & CStr(intYears) & ": " & String.Format("{0:C}", dblCurrentAmount))
        Loop

        'After the loop is over, add the last sentence
        lstOutput.Items.Add("It took you " & CStr(intYears) & " years to double your money.")

    End Sub

   
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        MessageBox.Show("This program will show you how many years it will take to double your money.")
    End Sub
End Class
