﻿Public Class Form1

    'Author: Lingma Acheson
    'Date: April 2009
    'Purpose: To demonstrate the use of built-in string and math functions

    Private Sub btnSubmit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSubmit.Click
        'First get length of the word user entered
        Dim intLength As Integer
        intLength = Len(txtString.Text)

        'Now test if the word is longer than 6
        If intLength < 6 Then 'If shorter than 6, stop and ask user to enter again
            MessageBox.Show("You must enter a word longer than 6 characters.")
        Else 'If longer than 6, continue
            lstOutput.Items.Clear()
            lstOutput.Items.Add("Your word has " & Len(txtString.Text) & " characters.")
            lstOutput.Items.Add("Your word shown in upper case: " & UCase(txtString.Text))
            lstOutput.Items.Add("Your word shown in lower case: " & LCase(txtString.Text))
            lstOutput.Items.Add("The substring starting from the 3rd character is: " & Mid(txtString.Text, 3))

            'Now process the number user entered
            'create variables to hold the two numbers user entered
            Dim dblNumber1 As Double
            Dim dblNumber2 As Double
            'First change the values in the textboxes into numbers
            dblNumber1 = Val(txtNumber1.Text)
            dblNumber2 = Val(txtNumber2.Text)

            'Now do some math
            lstOutput.Items.Add("The square root of your first number is: " & Math.Sqrt(dblNumber1))
            lstOutput.Items.Add("The first number to the power of the second number is: " & dblNumber1 ^ dblNumber2)
            lstOutput.Items.Add("The larger number is: " & Math.Max(dblNumber1, dblNumber2))
            lstOutput.Items.Add("The smaller number is: " & Math.Min(dblNumber1, dblNumber2))
            lstOutput.Items.Add("Round up the first number: " & Math.Round(dblNumber1))

            'Now generate 10 random numbers smaller than 100
            Dim n As Integer
            Dim random As New System.Random() 'Random is a system class, must use this line to create an object first

            For n = 1 To 10
                lstOutput.Items.Add("Random Number " & n & ": " & random.Next(100))
            Next


        End If


    End Sub

   
End Class
