﻿Public Class Form1

    'CalculatorComboBox
    'This project demonstrate the usage of ComboBoxes.
    'Author: Lingma Acheson
    'Date: March 2009

    'The button event will take the user inputs and perform the calculation based on the operation selected.
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        'delare three Double type variables as a user might enter integers or double numbers
        Dim dblInput1 As Double
        Dim dblInput2 As Double
        Dim dblResult As Double

        'First take the user inputs, change them into numeric values and store them into variables
        dblInput1 = Val(Me.txtInputOne.Text)
        dblInput2 = Val(Me.txtInputTwo.Text)

        'Now check which item is selected and perform the correspondent operation
        'ComboBoxes use SelectedIndex to identify which item is selected. The index starts with 0.
        'SelectedIndex equal to 0 means the first item is selected; SelectedIndx equal to 1 
        'means the second item is selected, etc.
        
        If (Me.cmbOperation.SelectedIndex = 0) Then
            dblResult = dblInput1 + dblInput2
        End If

        If (Me.cmbOperation.SelectedIndex = 1) Then
            dblResult = dblInput1 - dblInput2
        End If

        If (Me.cmbOperation.SelectedIndex = 2) Then
            dblResult = dblInput1 * dblInput2
        End If

        'No problem with the above operations, but need to use caution with division
        'as we don't want to divide by 0.
        If (Me.cmbOperation.SelectedIndex = 3) Then

            If (dblInput2 = 0) Then 'if the second number is 0, simply output a message without doing the compuation
                MessageBox.Show("The second number is 0. Unable to perform division.")
            Else
                dblResult = dblInput1 / dblInput2  ' If not 0, do the computation
            End If

        End If

        'Finally change the numeric result back to text and display the result 
        'Enbed the result inside a sentence and end with a period.
        Me.lblResult.Text = "The result is " & CStr(dblResult) & "."

    End Sub
End Class
